Subject: Re: [RFC] MPC5200 PCI problem

From: Andrey Volkov <[email-masked]>
Date: Thu, 24 Mar 2005 21:58:56 +0300

Sylvain Munaut wrote:
> Andrey Volkov wrote:
> 
>> Hi Sylvain,
>>
>> After last synchronization with your bk,
>> PCI subsys stop calling drv->probe of driver for
>> my external PCI board (UBoot meanwhile properly displayed and init 
>> this board). May be I do something wrong? Or PCI is in disjoint state 
>> now?
>>
> 
> With which tree exactly ?

http://linux.bkbits.net/linux-2.5 +
bk://tnt.bkbits.net/linux-2.5-mpc52xx-pending

> 
> Try adding some delays in the pci configuration zone access routines in 
> mpc52xx_pci.c  I remember someone needed those but still don't know why, 
> the manual don't say anything about that.
Board started, after I add udelay(7) in read/write config. Really strange.

> 
> What does /proc/pci shows ?
Couldn't do it now, because fec don't platform :), but OCP.

-- 
Regards
Andrey Volkov